Subject: Re: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Sep 2012 17:06:23 +0300

> From: Steffan <[email-masked]>
> Cc: [email-masked],[email-masked],[email-masked],[email-masked]
> Date: Wed, 29 Aug 2012 10:57:34 +0200
> 
> I get in the scratch-buffer this result:
> 
> "  [0 1 1575 909 8 3 5 12 4 nil]
>   [0 1 1575 760 0 3 6 12 4 [0 1 0]]
> 
>   [0 1 1575 909 8 3 5 12 4 nil]
>   [0 1 1575 760 0 3 6 12 4 [-8 1 0]]
> 
> "

Right.  On Windows XP, I got a slightly different output (1-pixel
difference):

  "  [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [0 0 0]]

    [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

  "

I guess the difference is due to the changes in Uniscribe on Windows 7.

After the change, I get this on XP:

  "  [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

    [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

  "